Get Quotes
curl --request GET \
--url https://api.decodahealth.com/billing/quote/list \
--header 'API-KEY: <api-key>' \
--header 'TENANT: <tenant>'{
"data": [
{
"id": "<string>",
"patientId": "<string>",
"discountAmount": 123,
"discountPercentage": 123,
"taxAmount": 123,
"total": 123,
"creatorId": "<string>",
"cartId": "<string>",
"title": "<string>",
"itemCount": 0,
"packageCount": 0,
"createdDate": "2023-11-07T05:31:56Z",
"updatedDate": "2023-11-07T05:31:56Z",
"validUntilDate": "2023-11-07T05:31:56Z",
"sentDate": "2023-11-07T05:31:56Z",
"viewedDate": "2023-11-07T05:31:56Z",
"respondedDate": "2023-11-07T05:31:56Z",
"internalNotes": "<string>",
"creator": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"createdDate": "2023-11-07T05:31:56Z"
},
"patient": {
"id": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"firstName": "<string>",
"lastName": "<string>",
"phoneNumber": "<string>",
"email": "<string>",
"locationId": "<string>",
"externalId": "<string>",
"address": "<string>",
"addressLineTwo": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode": "<string>",
"country": "<string>",
"addressValid": true,
"meta": {},
"isArchived": true,
"primaryLocationId": "<string>",
"gender": "<string>",
"dateOfBirth": "2023-12-25",
"patientMedications": [
"<string>"
],
"onSchedulingBlacklist": true,
"surchargeDisabled": true,
"tags": [
{
"id": "<string>",
"name": "<string>",
"isActive": true,
"createdDate": "2023-11-07T05:31:56Z",
"emoji": "<string>",
"color": "<string>",
"updatedDate": "2023-11-07T05:31:56Z"
}
],
"creditBalance": 123,
"preferredProviderId": "<string>"
}
}
],
"total": 123
}Billing
Get Quotes
Get quotes with filtering and pagination.
GET
/
billing
/
quote
/
list
Get Quotes
curl --request GET \
--url https://api.decodahealth.com/billing/quote/list \
--header 'API-KEY: <api-key>' \
--header 'TENANT: <tenant>'{
"data": [
{
"id": "<string>",
"patientId": "<string>",
"discountAmount": 123,
"discountPercentage": 123,
"taxAmount": 123,
"total": 123,
"creatorId": "<string>",
"cartId": "<string>",
"title": "<string>",
"itemCount": 0,
"packageCount": 0,
"createdDate": "2023-11-07T05:31:56Z",
"updatedDate": "2023-11-07T05:31:56Z",
"validUntilDate": "2023-11-07T05:31:56Z",
"sentDate": "2023-11-07T05:31:56Z",
"viewedDate": "2023-11-07T05:31:56Z",
"respondedDate": "2023-11-07T05:31:56Z",
"internalNotes": "<string>",
"creator": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"createdDate": "2023-11-07T05:31:56Z"
},
"patient": {
"id": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"firstName": "<string>",
"lastName": "<string>",
"phoneNumber": "<string>",
"email": "<string>",
"locationId": "<string>",
"externalId": "<string>",
"address": "<string>",
"addressLineTwo": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode": "<string>",
"country": "<string>",
"addressValid": true,
"meta": {},
"isArchived": true,
"primaryLocationId": "<string>",
"gender": "<string>",
"dateOfBirth": "2023-12-25",
"patientMedications": [
"<string>"
],
"onSchedulingBlacklist": true,
"surchargeDisabled": true,
"tags": [
{
"id": "<string>",
"name": "<string>",
"isActive": true,
"createdDate": "2023-11-07T05:31:56Z",
"emoji": "<string>",
"color": "<string>",
"updatedDate": "2023-11-07T05:31:56Z"
}
],
"creditBalance": 123,
"preferredProviderId": "<string>"
}
}
],
"total": 123
}Headers
The tenant you are making this request on behalf of
Your api key
Query Parameters
Filter by patient ID
Filter by creator ID
Filter by cart ID
Filter by quote status Status of a quote.
Available options:
DRAFT, SENT, VIEWED, ACCEPTED, DECLINED, EXPIRED, CONVERTED Page number
Required range:
x >= 1Page size
Required range:
1 <= x <= 100⌘I
